# Class Thelia\Model\om\BaseGroup | thelia

# Class BaseGroup

Base class that represents a row from the 'group' table.

  BaseObject
  Thelia\Model\om\BaseGroup implements Persistent

#### Direct known subclasses

Thelia\Model\Group
Abstract
Namespace: Thelia\Model\om
Package: propel\generator\Thelia\Model\om
Located at core/lib/Thelia/Model/om/BaseGroup.php

Methods summary

`public integer`

# `getId( )`

Get the [id] column value.

Get the [id] column value.

#### Returns

`integer`

`public string`

# `getCode( )`

Get the [code] column value.

Get the [code] column value.

#### Returns

`string`

`public mixed`

# `getCreatedAt( string $format = 'Y-m-d H:i:s' )`

Get the [optionally formatted] temporal [created_at] column value.

Get the [optionally formatted] temporal [created_at] column value.

#### Parameters

$format
  `string`
  $format The date/time format string (either date()-style or strftime()-style). If format is null, then the raw DateTime object will be returned.

#### Returns

`mixed`
Formatted date/time value as string or DateTime object (if format is null), null if column is null, and 0 if column value is 0000-00-00 00:00:00

#### Throws

`PropelException`
- if unable to parse/validate the date/time value.

`public mixed`

# `getUpdatedAt( string $format = 'Y-m-d H:i:s' )`

Get the [optionally formatted] temporal [updated_at] column value.

Get the [optionally formatted] temporal [updated_at] column value.

#### Parameters

$format
  `string`
  $format The date/time format string (either date()-style or strftime()-style). If format is null, then the raw DateTime object will be returned.

#### Returns

`mixed`
Formatted date/time value as string or DateTime object (if format is null), null if column is null, and 0 if column value is 0000-00-00 00:00:00

#### Throws

`PropelException`
- if unable to parse/validate the date/time value.

`public `Thelia\Model\Group``

# `setId( integer $v )`

Set the value of [id] column.

Set the value of [id] column.

#### Parameters

$v
  `integer`
  $v new value

#### Returns

``Thelia\Model\Group``
The current object (for fluent API support)

`public `Thelia\Model\Group``

# `setCode( string $v )`

Set the value of [code] column.

Set the value of [code] column.

#### Parameters

$v
  `string`
  $v new value

#### Returns

``Thelia\Model\Group``
The current object (for fluent API support)

`public `Thelia\Model\Group``

# `setCreatedAt( mixed $v )`

Sets the value of [created_at] column to a normalized version of the date/time value specified.

Sets the value of [created_at] column to a normalized version of the date/time value specified.

#### Parameters

$v
  `mixed`
  $v string, integer (timestamp), or DateTime value. Empty strings are treated as null.

#### Returns

``Thelia\Model\Group``
The current object (for fluent API support)

`public `Thelia\Model\Group``

# `setUpdatedAt( mixed $v )`

Sets the value of [updated_at] column to a normalized version of the date/time value specified.

Sets the value of [updated_at] column to a normalized version of the date/time value specified.

#### Parameters

$v
  `mixed`
  $v string, integer (timestamp), or DateTime value. Empty strings are treated as null.

#### Returns

``Thelia\Model\Group``
The current object (for fluent API support)

`public boolean`

# `hasOnlyDefaultValues( )`

Indicates whether the columns in this object are only set to default values.

Indicates whether the columns in this object are only set to default values.

This method can be used in conjunction with isModified() to indicate whether an object is both modified _and_ has some values set which are non-default.

#### Returns

`boolean`
Whether the columns in this object are only been set with default values.

`public integer`

# `hydrate( array $row, integer $startcol = 0, boolean $rehydrate = false )`

Hydrates (populates) the object variables with values from the database resultset.

Hydrates (populates) the object variables with values from the database resultset.

An offset (0-based "start column") is specified so that objects can be hydrated with a subset of the columns in the resultset rows. This is needed, for example, for results of JOIN queries where the resultset row includes columns from two or more tables.

#### Parameters

$row
  `array`
  $row The row returned by PDOStatement->fetch(PDO::FETCH_NUM)
$startcol
  `integer`
  $startcol 0-based offset column which indicates which restultset column to start with.
$rehydrate
  `boolean`
  $rehydrate Whether this object is being re-hydrated from the database.

#### Returns

`integer`
next starting column

#### Throws

`PropelException`
- Any caught Exception will be rewrapped as a PropelException.

`public`

# `ensureConsistency( )`

Checks and repairs the internal consistency of the object.

Checks and repairs the internal consistency of the object.

This method is executed after an already-instantiated object is re-hydrated from the database. It exists to check any foreign keys to make sure that the objects related to the current object are correct based on foreign key.

You can override this method in the stub class, but you should always invoke the base method from the overridden method (i.e. parent::ensureConsistency()), in case your model changes.

#### Throws

`PropelException`

`public`

# `reload( boolean $deep = false, PropelPDO $con = null )`

Reloads this object from datastore based on primary key and (optionally) resets all associated objects.

Reloads this object from datastore based on primary key and (optionally) resets all associated objects.

This will only work if the object has been saved and has a valid primary key set.

#### Parameters

$deep
  `boolean`
  $deep (optional) Whether to also de-associated any related objects.
$con
  `PropelPDO`
  $con (optional) The PropelPDO connection to use.

#### Throws

`PropelException`
- if this object is deleted, unsaved or doesn't have pk match in db

`public`

# `delete( PropelPDO $con = null )`

Removes this object from datastore and sets delete attribute.

Removes this object from datastore and sets delete attribute.

#### Parameters

$con
  `PropelPDO`
  $con

#### Throws

`PropelException`
``Exception``

#### See

BaseObject::setDeleted()
BaseObject::isDeleted()

`public integer`

# `save( PropelPDO $con = null )`

Persists this object to the database.

Persists this object to the database.

If the object is new, it inserts it; otherwise an update is performed. All modified related objects will also be persisted in the doSave() method. This method wraps all precipitate database operations in a single transaction.

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

`integer`
The number of rows affected by this insert/update and any referring fk objects' save() operations.

#### Throws

`PropelException`
``Exception``

#### See

``Thelia\Model\om\BaseGroup::doSave()``

`protected integer`

# `doSave( PropelPDO $con )`

Performs the work of inserting or updating the row in the database.

Performs the work of inserting or updating the row in the database.

If the object is new, it inserts it; otherwise an update is performed. All related objects are also updated in this method.

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

`integer`
The number of rows affected by this insert/update and any referring fk objects' save() operations.

#### Throws

`PropelException`

#### See

``Thelia\Model\om\BaseGroup::save()``

`protected`

# `doInsert( PropelPDO $con )`

Insert the row in the database.

Insert the row in the database.

#### Parameters

$con
  `PropelPDO`
  $con

#### Throws

`PropelException`

#### See

``Thelia\Model\om\BaseGroup::doSave()``

`protected`

# `doUpdate( PropelPDO $con )`

Update the row in the database.

Update the row in the database.

#### Parameters

$con
  `PropelPDO`
  $con

#### See

``Thelia\Model\om\BaseGroup::doSave()``

`public array`

# `getValidationFailures( )`

Gets any ValidationFailed objects that resulted from last call to validate().

Gets any ValidationFailed objects that resulted from last call to validate().

#### Returns

`array`
ValidationFailed[]

#### See

``Thelia\Model\om\BaseGroup::validate()``

`public boolean`

# `validate( mixed $columns = null )`

Validates the objects modified field values and all objects related to this table.

Validates the objects modified field values and all objects related to this table.

If $columns is either a column name or an array of column names only those columns are validated.

#### Parameters

$columns
  `mixed`
  $columns Column name or an array of column names.

#### Returns

`boolean`
Whether all columns pass validation.

#### See

``Thelia\Model\om\BaseGroup::doValidate()``
``Thelia\Model\om\BaseGroup::getValidationFailures()``

`protected mixed`

# `doValidate( array $columns = null )`

This function performs the validation work for complex object models.

This function performs the validation work for complex object models.

In addition to checking the current object, all related objects will also be validated. If all pass then `<span class="php-keyword1">true</span>` is returned; otherwise an aggreagated array of ValidationFailed objects will be returned.

#### Parameters

$columns
  `array`
  $columns Array of column names to validate.

#### Returns

`mixed`
`<span class="php-keyword1">true</span>` if all validations pass; array of `ValidationFailed` objets otherwise.

`public mixed`

# `getByName( string $name, string $type = Thelia\Model\om\BasePeer::TYPE_PHPNAME )`

Retrieves a field from the object by name passed in as a string.

Retrieves a field from the object by name passed in as a string.

#### Parameters

$name
  `string`
  $name name
$type
  `string`
  $type The type of fieldname the $name is of: one of the class type constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. Defaults to BasePeer::TYPE_PHPNAME

#### Returns

`mixed`
Value of field.

`public mixed`

# `getByPosition( integer $pos )`

Retrieves a field from the object by Position as specified in the xml schema. Zero-based.

Retrieves a field from the object by Position as specified in the xml schema. Zero-based.

#### Parameters

$pos
  `integer`
  $pos position in xml schema

#### Returns

`mixed`
Value of field at $pos

`public array`

# `toArray( string $keyType = Thelia\Model\om\BasePeer::TYPE_PHPNAME, boolean $includeLazyLoadColumns = true, array $alreadyDumpedObjects = array(), boolean $includeForeignObjects = false )`

Exports the object as an array.

Exports the object as an array.

You can specify the key type of the array by passing one of the class type constants.

#### Parameters

$keyType
  `string`
  $keyType (optional) One of the class type constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. Defaults to BasePeer::TYPE_PHPNAME.
$includeLazyLoadColumns
  `boolean`
  $includeLazyLoadColumns (optional) Whether to include lazy loaded columns. Defaults to true.
$alreadyDumpedObjects
  `array`
  $alreadyDumpedObjects List of objects to skip to avoid recursion
$includeForeignObjects
  `boolean`
  $includeForeignObjects (optional) Whether to include hydrated related objects. Default to FALSE.

#### Returns

`array`
an associative array containing the field names (as keys) and field values

`public`

# `setByName( string $name, mixed $value, string $type = Thelia\Model\om\BasePeer::TYPE_PHPNAME )`

Sets a field from the object by name passed in as a string.

Sets a field from the object by name passed in as a string.

#### Parameters

$name
  `string`
  $name peer name
$value
  `mixed`
  $value field value
$type
  `string`
  $type The type of fieldname the $name is of: one of the class type constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. Defaults to BasePeer::TYPE_PHPNAME

`public`

# `setByPosition( integer $pos, mixed $value )`

Sets a field from the object by Position as specified in the xml schema. Zero-based.

Sets a field from the object by Position as specified in the xml schema. Zero-based.

#### Parameters

$pos
  `integer`
  $pos position in xml schema
$value
  `mixed`
  $value field value

`public`

# `fromArray( array $arr, string $keyType = Thelia\Model\om\BasePeer::TYPE_PHPNAME )`

Populates the object using an array.

Populates the object using an array.

This is particularly useful when populating an object from one of the request arrays (e.g. $_POST). This method goes through the column names, checking to see whether a matching key exists in populated array. If so the setByName() method is called for that column.

You can specify the key type of the array by additionally passing one of the class type constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. The default key type is the column's BasePeer::TYPE_PHPNAME

#### Parameters

$arr
  `array`
  $arr An array to populate the object from.
$keyType
  `string`
  $keyType The type of keys the array uses.

`public Criteria`

# `buildCriteria( )`

Build a Criteria object containing the values of all modified columns in this object.

Build a Criteria object containing the values of all modified columns in this object.

#### Returns

`Criteria`
The Criteria object containing all modified values.

`public Criteria`

# `buildPkeyCriteria( )`

Builds a Criteria object containing the primary key for this object.

Builds a Criteria object containing the primary key for this object.

Unlike buildCriteria() this method includes the primary key values regardless of whether or not they have been modified.

#### Returns

`Criteria`
The Criteria object containing value(s) for primary key(s).

`public integer`

# `getPrimaryKey( )`

Returns the primary key for this object (row).

Returns the primary key for this object (row).

#### Returns

`integer`

`public`

# `setPrimaryKey( integer $key )`

Generic method to set the primary key (id column).

Generic method to set the primary key (id column).

#### Parameters

$key
  `integer`
  $key Primary key.

`public boolean`

# `isPrimaryKeyNull( )`

Returns true if the primary key for this object is null.

Returns true if the primary key for this object is null.

#### Returns

`boolean`

`public`

# `copyInto( object $copyObj, boolean $deepCopy = false, boolean $makeNew = true )`

Sets contents of passed object to values from current object.

Sets contents of passed object to values from current object.

If desired, this method can also make copies of all associated (fkey referrers) objects.

#### Parameters

$copyObj
  `object`
  $copyObj An object of Group (or compatible) type.
$deepCopy
  `boolean`
  $deepCopy Whether to also copy all rows that refer (by fkey) to the current row.
$makeNew
  `boolean`
  $makeNew Whether to reset autoincrement PKs and make the object new.

#### Throws

`PropelException`

`public `Thelia\Model\Group``

# `copy( boolean $deepCopy = false )`

Makes a copy of this object that will be inserted as a new row in table when saved. It creates a new object filling in the simple attributes, but skipping any primary keys that are defined for the table.

Makes a copy of this object that will be inserted as a new row in table when saved. It creates a new object filling in the simple attributes, but skipping any primary keys that are defined for the table.

If desired, this method can also make copies of all associated (fkey referrers) objects.

#### Parameters

$deepCopy
  `boolean`
  $deepCopy Whether to also copy all rows that refer (by fkey) to the current row.

#### Returns

``Thelia\Model\Group``
Clone of current object.

#### Throws

`PropelException`

`public `Thelia\Model\GroupPeer``

# `getPeer( )`

Returns a peer instance associated with this om.

Returns a peer instance associated with this om.

Since Peer classes are not to have any instance attributes, this method returns the same instance for all member of this class. The method could therefore be static, but this would prevent one from overriding the behavior.

#### Returns

``Thelia\Model\GroupPeer``

`public`

# `initRelation( string $relationName )`

Initializes a collection based on the name of a relation. Avoids crafting an 'init[$relationName]s' method name that wouldn't work when StandardEnglishPluralizer is used.

Initializes a collection based on the name of a relation. Avoids crafting an 'init[$relationName]s' method name that wouldn't work when StandardEnglishPluralizer is used.

#### Parameters

$relationName
  `string`
  $relationName The name of the relation to initialize

`public`

# `clearAdminGroups( )`

Clears out the collAdminGroups collection

Clears out the collAdminGroups collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#### See

addAdminGroups()

`public` | # `resetPartialAdminGroups( mixed $v = true )` reset is the collAdminGroups collection loaded partially reset is the collAdminGroups collection loaded partially

`public`

# `initAdminGroups( boolean $overrideExisting = true )`

Initializes the collAdminGroups collection.

Initializes the collAdminGroups collection.

By default this just sets the collAdminGroups collection to an empty array (like clearcollAdminGroups()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

$overrideExisting
  `boolean`
  $overrideExisting If set to true, the method call initializes the collection even if it is not empty

`public PropelObjectCollection|`Thelia\Model\AdminGroup[]``

# `getAdminGroups( Criteria $criteria = null, PropelPDO $con = null )`

Gets an array of AdminGroup objects which contain a foreign key that references this object.

Gets an array of AdminGroup objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this Group is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

$criteria
  `Criteria`
  $criteria optional Criteria object to narrow the query
$con
  `PropelPDO`
  $con optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\AdminGroup[]``
List of AdminGroup objects

#### Throws

`PropelException`

`public`

# `setAdminGroups( PropelCollection $adminGroups, PropelPDO $con = null )`

Sets a collection of AdminGroup objects related by a one-to-many relationship to the current object. It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

Sets a collection of AdminGroup objects related by a one-to-many relationship to the current object. It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

$adminGroups
  `PropelCollection`
  $adminGroups A Propel collection.
$con
  `PropelPDO`
  $con Optional connection object

`public integer`

# `countAdminGroups( Criteria $criteria = null, boolean $distinct = false, PropelPDO $con = null )`

Returns the number of related AdminGroup objects.

Returns the number of related AdminGroup objects.

#### Parameters

$criteria
  `Criteria`
  $criteria
$distinct
  `boolean`
  $distinct
$con
  `PropelPDO`
  $con

#### Returns

`integer`
Count of related AdminGroup objects.

#### Throws

`PropelException`

`public `Thelia\Model\Group``

# `addAdminGroup( `Thelia\Model\AdminGroup` $l )`

Method called to associate a AdminGroup object to this object through the AdminGroup foreign key attribute.

Method called to associate a AdminGroup object to this object through the AdminGroup foreign key attribute.

#### Parameters

$l
  ``Thelia\Model\AdminGroup``
  $l AdminGroup

#### Returns

``Thelia\Model\Group``
The current object (for fluent API support)

`protected`

# `doAddAdminGroup( `Thelia\Model\AdminGroup` $adminGroup )`

#### Parameters

$adminGroup
  ``Thelia\Model\AdminGroup``
  $adminGroup The adminGroup object to add.

`public`

# `removeAdminGroup( `Thelia\Model\AdminGroup` $adminGroup )`

#### Parameters

$adminGroup
  ``Thelia\Model\AdminGroup``
  $adminGroup The adminGroup object to remove.

`public PropelObjectCollection|`Thelia\Model\AdminGroup[]``

# `getAdminGroupsJoinAdmin( Criteria $criteria = null, PropelPDO $con = null, string $join_behavior = Thelia\Model\om\Criteria::LEFT_JOIN )`

If this collection has already been initialized with an identical criteria, it returns the collection. Otherwise if this Group is new, it will return an empty collection; or if this Group has previously been saved, it will retrieve related AdminGroups from storage.

If this collection has already been initialized with an identical criteria, it returns the collection. Otherwise if this Group is new, it will return an empty collection; or if this Group has previously been saved, it will retrieve related AdminGroups from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Group.

#### Parameters

$criteria
  `Criteria`
  $criteria optional Criteria object to narrow the query
$con
  `PropelPDO`
  $con optional connection object
$join_behavior
  `string`
  $join_behavior optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

`PropelObjectCollection|`Thelia\Model\AdminGroup[]``
List of AdminGroup objects

`public`

# `clearGroupResources( )`

Clears out the collGroupResources collection

Clears out the collGroupResources collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#### See

addGroupResources()

`public` | # `resetPartialGroupResources( mixed $v = true )` reset is the collGroupResources collection loaded partially reset is the collGroupResources collection loaded partially

`public`

# `initGroupResources( boolean $overrideExisting = true )`

Initializes the collGroupResources collection.

Initializes the collGroupResources collection.

By default this just sets the collGroupResources collection to an empty array (like clearcollGroupResources()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

$overrideExisting
  `boolean`
  $overrideExisting If set to true, the method call initializes the collection even if it is not empty

`public PropelObjectCollection|`Thelia\Model\GroupResource[]``

# `getGroupResources( Criteria $criteria = null, PropelPDO $con = null )`

Gets an array of GroupResource objects which contain a foreign key that references this object.

Gets an array of GroupResource objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this Group is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

$criteria
  `Criteria`
  $criteria optional Criteria object to narrow the query
$con
  `PropelPDO`
  $con optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\GroupResource[]``
List of GroupResource objects

#### Throws

`PropelException`

`public`

# `setGroupResources( PropelCollection $groupResources, PropelPDO $con = null )`

Sets a collection of GroupResource objects related by a one-to-many relationship to the current object. It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

Sets a collection of GroupResource objects related by a one-to-many relationship to the current object. It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

$groupResources
  `PropelCollection`
  $groupResources A Propel collection.
$con
  `PropelPDO`
  $con Optional connection object

`public integer`

# `countGroupResources( Criteria $criteria = null, boolean $distinct = false, PropelPDO $con = null )`

Returns the number of related GroupResource objects.

Returns the number of related GroupResource objects.

#### Parameters

$criteria
  `Criteria`
  $criteria
$distinct
  `boolean`
  $distinct
$con
  `PropelPDO`
  $con

#### Returns

`integer`
Count of related GroupResource objects.

#### Throws

`PropelException`

`public `Thelia\Model\Group``

# `addGroupResource( `Thelia\Model\GroupResource` $l )`

Method called to associate a GroupResource object to this object through the GroupResource foreign key attribute.

Method called to associate a GroupResource object to this object through the GroupResource foreign key attribute.

#### Parameters

$l
  ``Thelia\Model\GroupResource``
  $l GroupResource

#### Returns

``Thelia\Model\Group``
The current object (for fluent API support)

`protected`

# `doAddGroupResource( `Thelia\Model\GroupResource` $groupResource )`

#### Parameters

$groupResource
  ``Thelia\Model\GroupResource``
  $groupResource The groupResource object to add.

`public`

# `removeGroupResource( `Thelia\Model\GroupResource` $groupResource )`

#### Parameters

$groupResource
  ``Thelia\Model\GroupResource``
  $groupResource The groupResource object to remove.

`public PropelObjectCollection|`Thelia\Model\GroupResource[]``

# `getGroupResourcesJoinResource( Criteria $criteria = null, PropelPDO $con = null, string $join_behavior = Thelia\Model\om\Criteria::LEFT_JOIN )`

If this collection has already been initialized with an identical criteria, it returns the collection. Otherwise if this Group is new, it will return an empty collection; or if this Group has previously been saved, it will retrieve related GroupResources from storage.

If this collection has already been initialized with an identical criteria, it returns the collection. Otherwise if this Group is new, it will return an empty collection; or if this Group has previously been saved, it will retrieve related GroupResources from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Group.

#### Parameters

$criteria
  `Criteria`
  $criteria optional Criteria object to narrow the query
$con
  `PropelPDO`
  $con optional connection object
$join_behavior
  `string`
  $join_behavior optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

`PropelObjectCollection|`Thelia\Model\GroupResource[]``
List of GroupResource objects

`public`

# `clearGroupModules( )`

Clears out the collGroupModules collection

Clears out the collGroupModules collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#### See

addGroupModules()

`public` | # `resetPartialGroupModules( mixed $v = true )` reset is the collGroupModules collection loaded partially reset is the collGroupModules collection loaded partially

`public`

# `initGroupModules( boolean $overrideExisting = true )`

Initializes the collGroupModules collection.

Initializes the collGroupModules collection.

By default this just sets the collGroupModules collection to an empty array (like clearcollGroupModules()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

$overrideExisting
  `boolean`
  $overrideExisting If set to true, the method call initializes the collection even if it is not empty

`public PropelObjectCollection|`Thelia\Model\GroupModule[]``

# `getGroupModules( Criteria $criteria = null, PropelPDO $con = null )`

Gets an array of GroupModule objects which contain a foreign key that references this object.

Gets an array of GroupModule objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this Group is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

$criteria
  `Criteria`
  $criteria optional Criteria object to narrow the query
$con
  `PropelPDO`
  $con optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\GroupModule[]``
List of GroupModule objects

#### Throws

`PropelException`

`public`

# `setGroupModules( PropelCollection $groupModules, PropelPDO $con = null )`

Sets a collection of GroupModule objects related by a one-to-many relationship to the current object. It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

Sets a collection of GroupModule objects related by a one-to-many relationship to the current object. It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

$groupModules
  `PropelCollection`
  $groupModules A Propel collection.
$con
  `PropelPDO`
  $con Optional connection object

`public integer`

# `countGroupModules( Criteria $criteria = null, boolean $distinct = false, PropelPDO $con = null )`

Returns the number of related GroupModule objects.

Returns the number of related GroupModule objects.

#### Parameters

$criteria
  `Criteria`
  $criteria
$distinct
  `boolean`
  $distinct
$con
  `PropelPDO`
  $con

#### Returns

`integer`
Count of related GroupModule objects.

#### Throws

`PropelException`

`public `Thelia\Model\Group``

# `addGroupModule( `Thelia\Model\GroupModule` $l )`

Method called to associate a GroupModule object to this object through the GroupModule foreign key attribute.

Method called to associate a GroupModule object to this object through the GroupModule foreign key attribute.

#### Parameters

$l
  ``Thelia\Model\GroupModule``
  $l GroupModule

#### Returns

``Thelia\Model\Group``
The current object (for fluent API support)

`protected`

# `doAddGroupModule( `Thelia\Model\GroupModule` $groupModule )`

#### Parameters

$groupModule
  ``Thelia\Model\GroupModule``
  $groupModule The groupModule object to add.

`public`

# `removeGroupModule( `Thelia\Model\GroupModule` $groupModule )`

#### Parameters

$groupModule
  ``Thelia\Model\GroupModule``
  $groupModule The groupModule object to remove.

`public PropelObjectCollection|`Thelia\Model\GroupModule[]``

# `getGroupModulesJoinModule( Criteria $criteria = null, PropelPDO $con = null, string $join_behavior = Thelia\Model\om\Criteria::LEFT_JOIN )`

If this collection has already been initialized with an identical criteria, it returns the collection. Otherwise if this Group is new, it will return an empty collection; or if this Group has previously been saved, it will retrieve related GroupModules from storage.

If this collection has already been initialized with an identical criteria, it returns the collection. Otherwise if this Group is new, it will return an empty collection; or if this Group has previously been saved, it will retrieve related GroupModules from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Group.

#### Parameters

$criteria
  `Criteria`
  $criteria optional Criteria object to narrow the query
$con
  `PropelPDO`
  $con optional connection object
$join_behavior
  `string`
  $join_behavior optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

`PropelObjectCollection|`Thelia\Model\GroupModule[]``
List of GroupModule objects

`public`

# `clearGroupI18ns( )`

Clears out the collGroupI18ns collection

Clears out the collGroupI18ns collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#### See

addGroupI18ns()

`public` | # `resetPartialGroupI18ns( mixed $v = true )` reset is the collGroupI18ns collection loaded partially reset is the collGroupI18ns collection loaded partially

`public`

# `initGroupI18ns( boolean $overrideExisting = true )`

Initializes the collGroupI18ns collection.

Initializes the collGroupI18ns collection.

By default this just sets the collGroupI18ns collection to an empty array (like clearcollGroupI18ns()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

$overrideExisting
  `boolean`
  $overrideExisting If set to true, the method call initializes the collection even if it is not empty

`public PropelObjectCollection|`Thelia\Model\GroupI18n[]``

# `getGroupI18ns( Criteria $criteria = null, PropelPDO $con = null )`

Gets an array of GroupI18n objects which contain a foreign key that references this object.

Gets an array of GroupI18n objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this Group is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

$criteria
  `Criteria`
  $criteria optional Criteria object to narrow the query
$con
  `PropelPDO`
  $con optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\GroupI18n[]``
List of GroupI18n objects

#### Throws

`PropelException`

`public`

# `setGroupI18ns( PropelCollection $groupI18ns, PropelPDO $con = null )`

Sets a collection of GroupI18n objects related by a one-to-many relationship to the current object. It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

Sets a collection of GroupI18n objects related by a one-to-many relationship to the current object. It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

$groupI18ns
  `PropelCollection`
  $groupI18ns A Propel collection.
$con
  `PropelPDO`
  $con Optional connection object

`public integer`

# `countGroupI18ns( Criteria $criteria = null, boolean $distinct = false, PropelPDO $con = null )`

Returns the number of related GroupI18n objects.

Returns the number of related GroupI18n objects.

#### Parameters

$criteria
  `Criteria`
  $criteria
$distinct
  `boolean`
  $distinct
$con
  `PropelPDO`
  $con

#### Returns

`integer`
Count of related GroupI18n objects.

#### Throws

`PropelException`

`public `Thelia\Model\Group``

# `addGroupI18n( `Thelia\Model\GroupI18n` $l )`

Method called to associate a GroupI18n object to this object through the GroupI18n foreign key attribute.

Method called to associate a GroupI18n object to this object through the GroupI18n foreign key attribute.

#### Parameters

$l
  ``Thelia\Model\GroupI18n``
  $l GroupI18n

#### Returns

``Thelia\Model\Group``
The current object (for fluent API support)

`protected`

# `doAddGroupI18n( `Thelia\Model\GroupI18n` $groupI18n )`

#### Parameters

$groupI18n
  ``Thelia\Model\GroupI18n``
  $groupI18n The groupI18n object to add.

`public`

# `removeGroupI18n( `Thelia\Model\GroupI18n` $groupI18n )`

#### Parameters

$groupI18n
  ``Thelia\Model\GroupI18n``
  $groupI18n The groupI18n object to remove.

`public` | # `clear( )` Clears the current object and sets all attributes to their default values Clears the current object and sets all attributes to their default values

`public`

# `clearAllReferences( boolean $deep = false )`

Resets all references to other model objects or collections of model objects.

Resets all references to other model objects or collections of model objects.

This method is a user-space workaround for PHP's inability to garbage collect objects with circular references (even in PHP 5.3). This is currently necessary when using Propel in certain daemon or large-volumne/high-memory operations.

#### Parameters

$deep
  `boolean`
  $deep Whether to also clear the references on all referrer objects.

`public string`

# `__toString( )`

return the string representation of this object

return the string representation of this object

#### Returns

`string`

`public boolean`

# `isAlreadyInSave( )`

return true is the object is in saving state

return true is the object is in saving state

#### Returns

`boolean`

`public `Thelia\Model\Group``

# `keepUpdateDateUnchanged( )`

Mark the current object so that the update date doesn't get updated during next save

Mark the current object so that the update date doesn't get updated during next save

#### Returns

``Thelia\Model\Group``
The current object (for fluent API support)

`public `Thelia\Model\Group``

# `setLocale( string $locale = 'en_EN' )`

Sets the locale for translations

Sets the locale for translations

#### Parameters

$locale
  `string`
  $locale Locale to use for the translation, e.g. 'fr_FR'

#### Returns

``Thelia\Model\Group``
The current object (for fluent API support)

`public string`

# `getLocale( )`

Gets the locale for translations

Gets the locale for translations

#### Returns

`string`
$locale Locale to use for the translation, e.g. 'fr_FR'

`public `Thelia\Model\GroupI18n``

# `getTranslation( string $locale = 'en_EN', PropelPDO $con = null )`

Returns the current translation for a given locale

Returns the current translation for a given locale

#### Parameters

$locale
  `string`
  $locale Locale to use for the translation, e.g. 'fr_FR'
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\GroupI18n``

`public `Thelia\Model\Group``

# `removeTranslation( string $locale = 'en_EN', PropelPDO $con = null )`

Remove the translation for a given locale

Remove the translation for a given locale

#### Parameters

$locale
  `string`
  $locale Locale to use for the translation, e.g. 'fr_FR'
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\Group``
The current object (for fluent API support)

`public `Thelia\Model\GroupI18n``

# `getCurrentTranslation( PropelPDO $con = null )`

Returns the current translation

Returns the current translation

#### Parameters

$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\GroupI18n``

`public string`

# `getTitle( )`

Get the [title] column value.

Get the [title] column value.

#### Returns

`string`

`public `Thelia\Model\GroupI18n``

# `setTitle( string $v )`

Set the value of [title] column.

Set the value of [title] column.

#### Parameters

$v
  `string`
  $v new value

#### Returns

``Thelia\Model\GroupI18n``
The current object (for fluent API support)

`public string`

# `getDescription( )`

Get the [description] column value.

Get the [description] column value.

#### Returns

`string`

`public `Thelia\Model\GroupI18n``

# `setDescription( string $v )`

Set the value of [description] column.

Set the value of [description] column.

#### Parameters

$v
  `string`
  $v new value

#### Returns

``Thelia\Model\GroupI18n``
The current object (for fluent API support)

`public string`

# `getChapo( )`

Get the [chapo] column value.

Get the [chapo] column value.

#### Returns

`string`

`public `Thelia\Model\GroupI18n``

# `setChapo( string $v )`

Set the value of [chapo] column.

Set the value of [chapo] column.

#### Parameters

$v
  `string`
  $v new value

#### Returns

``Thelia\Model\GroupI18n``
The current object (for fluent API support)

`public string`

# `getPostscriptum( )`

Get the [postscriptum] column value.

Get the [postscriptum] column value.

#### Returns

`string`

`public `Thelia\Model\GroupI18n``

# `setPostscriptum( string $v )`

Set the value of [postscriptum] column.

Set the value of [postscriptum] column.

#### Parameters

$v
  `string`
  $v new value

#### Returns

``Thelia\Model\GroupI18n``
The current object (for fluent API support)

Constants summary
`string` | `PEER` | `'Thelia\\Model\\GroupPeer'` | # Peer class name Peer class name

Properties summary
`protected static `Thelia\Model\GroupPeer`` | $peer | `` | # The Peer class. Instance provides a convenient way of calling static methods on a class that calling code may not be able to identify. The Peer class. Instance provides a convenient way of calling static methods on a class that calling code may not be able to identify.
`protected boolean` | $startCopy | `false` | # The flag var to prevent infinit loop in deep copy The flag var to prevent infinit loop in deep copy
`protected integer` | $id | `` | # The value for the id field. The value for the id field.
`protected string` | $code | `` | # The value for the code field. The value for the code field.
`protected string` | $created_at | `` | # The value for the created_at field. The value for the created_at field.
`protected string` | $updated_at | `` | # The value for the updated_at field. The value for the updated_at field.
`protected PropelObjectCollection|`Thelia\Model\AdminGroup[]`` | $collAdminGroups | `` | # Collection to store aggregation of AdminGroup objects. Collection to store aggregation of AdminGroup objects.
`protected mixed` | $collAdminGroupsPartial | `` | #
`protected PropelObjectCollection|`Thelia\Model\GroupResource[]`` | $collGroupResources | `` | # Collection to store aggregation of GroupResource objects. Collection to store aggregation of GroupResource objects.
`protected mixed` | $collGroupResourcesPartial | `` | #
`protected PropelObjectCollection|`Thelia\Model\GroupModule[]`` | $collGroupModules | `` | # Collection to store aggregation of GroupModule objects. Collection to store aggregation of GroupModule objects.
`protected mixed` | $collGroupModulesPartial | `` | #
`protected PropelObjectCollection|`Thelia\Model\GroupI18n[]`` | $collGroupI18ns | `` | # Collection to store aggregation of GroupI18n objects. Collection to store aggregation of GroupI18n objects.
`protected mixed` | $collGroupI18nsPartial | `` | #
`protected boolean` | $alreadyInSave | `false` | # Flag to prevent endless save loop, if this object is referenced by another object which falls in this transaction. Flag to prevent endless save loop, if this object is referenced by another object which falls in this transaction.
`protected boolean` | $alreadyInValidation | `false` | # Flag to prevent endless validation loop, if this object is referenced by another object which falls in this transaction. Flag to prevent endless validation loop, if this object is referenced by another object which falls in this transaction.
`protected string` | $currentLocale | `'en_EN'` | # Current locale Current locale
`protected array[GroupI18n]` | $currentTranslations | `` | # Current translation objects Current translation objects
`protected PropelObjectCollection` | $adminGroupsScheduledForDeletion | `null` | # An array of objects scheduled for deletion. An array of objects scheduled for deletion.
`protected PropelObjectCollection` | $groupResourcesScheduledForDeletion | `null` | # An array of objects scheduled for deletion. An array of objects scheduled for deletion.
`protected PropelObjectCollection` | $groupModulesScheduledForDeletion | `null` | # An array of objects scheduled for deletion. An array of objects scheduled for deletion.
`protected PropelObjectCollection` | $groupI18nsScheduledForDeletion | `null` | # An array of objects scheduled for deletion. An array of objects scheduled for deletion.
`protected array` | $validationFailures | `array()` | # Array of ValidationFailed objects. Array of ValidationFailed objects.